## Description: add some description
## Origin/Author: add some origin or author
## Bug: bug URL
Index: java-gnome-4.1.1/tests/screenshots/Harness.java
===================================================================
--- java-gnome-4.1.1.orig/tests/screenshots/Harness.java	2011-07-11 06:34:06.000000000 +0200
+++ java-gnome-4.1.1/tests/screenshots/Harness.java	2011-07-28 21:09:03.801856812 +0200
@@ -91,7 +91,7 @@
  */
 public final class Harness
 {
-    private static final boolean USE_VIRTUAL_DISPLAY = false;
+    private static final boolean USE_VIRTUAL_DISPLAY = true;
 
     public static void main(String[] args) throws IOException, InterruptedException {
         final String DISPLAY;
@@ -134,15 +134,15 @@
                 checkAlive(xServerVirtual, "Xvfb");
 
                 System.out.println("EXEC\tmetacity");
-                windowManager = r.exec("/usr/bin/metacity --display=" + DISPLAY);
+                windowManager = r.exec("/usr/bin/dbus-launch /usr/bin/metacity --display=" + DISPLAY);
                 Thread.sleep(100);
                 checkAlive(windowManager, "metacity");
 
-                System.out.println("EXEC\tgnome-settings-daemon");
+                /*System.out.println("EXEC\tgnome-settings-daemon");
                 settingsDaemon = r.exec("/usr/libexec/gnome-settings-daemon --display=" + DISPLAY
                         + " --disable-crash-dialog");
                 Thread.sleep(100);
-                checkAlive(settingsDaemon, "gnome-settings-daemon");
+                checkAlive(settingsDaemon, "gnome-settings-daemon");*/
             }
 
             Gtk.init(new String[] {
@@ -174,7 +174,7 @@
                 SnapshotQuestionMessageDialog.class,
                 SnapshotTreeView.class,
                 SnapshotTreeStore.class,
-                SnapshotFileChooserDialog.class,
+                /*SnapshotFileChooserDialog.class,*/
                 SnapshotAboutDialog.class,
                 SnapshotHScale.class,
                 SnapshotVScale.class,
@@ -188,7 +188,7 @@
                 SnapshotContextLine.class,
                 SnapshotTextView.class,
                 SnapshotTextViewBorderWindows.class,
-                SnapshotTextViewSpelling.class,
+                /*SnapshotTextViewSpelling.class,*/
                 SnapshotContextArc.class,
                 SnapshotContextArcNegative.class,
                 SnapshotMatrixRotate.class,
@@ -311,7 +311,7 @@
             if (windowManager != null) {
                 System.out.println("KILL\tmetacity");
                 windowManager.destroy();
-                windowManager.waitFor();
+                /*windowManager.waitFor();*/
             }
             if (settingsDaemon != null) {
                 System.out.println("KILL\tgnome-settings-daemon");
